GraphTest Class Reference

`#include <GraphTest.h>`

Inheritance diagram for GraphTest:

## Public Member Functions

| GraphTest (TestSuite *s)
void | setup (void)
void | cleanup (void)
void | testVertices (void)
void | testSampleValues (void)
void | testSampleOccurences (void)
void | testSampleValueAdjacencyLists (void)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

CvrStgFile * | f1
CvrStgFile * | f2
CvrStgFile * | f3
CvrStgFile * | f4
CvrStgFile * | f5
CvrStgFile * | f6
CvrStgFile * | f7
CvrStgFile * | f8
CvrStgFile * | f9
CvrStgFile * | f10
CvrStgFile * | f11
CvrStgFile * | f12
CvrStgFile * | f13
CvrStgFile * | f14
CvrStgFile * | f15
CvrStgFile * | f_f
BitString * | bs1
BitString * | bs2
BitString * | bs3
BitString * | bs4
BitString * | bs5
BitString * | bs6
BitString * | bs7
BitString * | bs8
BitString * | bs9
BitString * | bs10
BitString * | bs11
BitString * | bs12
BitString * | bs13
BitString * | bs14
BitString * | bs15
BitString * | bs_f
Selector * | s1
Selector * | s2
Selector * | s3
Selector * | s4
Selector * | s5
Selector * | s6
Selector * | s7
Selector * | s8
Selector * | s9
Selector * | s10
Selector * | s11
Selector * | s12
Selector * | s13
Selector * | s14
Selector * | s15
Selector * | s_f
Graph * | g1
Graph * | g2
Graph * | g3
Graph * | g4
Graph * | g5
Graph * | g6
Graph * | g7
Graph * | g8
Graph * | g9
Graph * | g10
Graph * | g11
Graph * | g12
Graph * | g13
Graph * | g14
Graph * | g15
Graph * | g_f
Globals | gl1
Globals | gl2
Globals | gl3
Globals | gl4
Globals | gl5
Globals | gl6
Globals | gl7
Globals | gl8
Globals | gl9
Globals | gl10
Globals | gl11
Globals | gl12
Globals | gl13
Globals | gl14
Globals | gl15
Globals | gl_f

## Additional Inherited Members

Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## GraphTest()

GraphTest::GraphTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## cleanup()

void GraphTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented from UnitTest.

## setup()

void GraphTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testSampleOccurences()

void GraphTest::testSampleOccurences | ( | void |  | ) |

## testSampleValueAdjacencyLists()

void GraphTest::testSampleValueAdjacencyLists | ( | void |  | ) |

## testSampleValues()

void GraphTest::testSampleValues | ( | void |  | ) |

## testVertices()

void GraphTest::testVertices | ( | void |  | ) |

## Member Data Documentation

## bs1

BitString* GraphTest::bs1

private

## bs10

BitString * GraphTest::bs10

private

## bs11

BitString * GraphTest::bs11

private

## bs12

BitString * GraphTest::bs12

private

## bs13

BitString * GraphTest::bs13

private

## bs14

BitString * GraphTest::bs14

private

## bs15

BitString * GraphTest::bs15

private

## bs2

BitString * GraphTest::bs2

private

## bs3

BitString * GraphTest::bs3

private

## bs4

BitString * GraphTest::bs4

private

## bs5

BitString * GraphTest::bs5

private

## bs6

BitString * GraphTest::bs6

private

## bs7

BitString * GraphTest::bs7

private

## bs8

BitString * GraphTest::bs8

private

## bs9

BitString * GraphTest::bs9

private

## bs_f

BitString * GraphTest::bs_f

private

## f1

CvrStgFile* GraphTest::f1

private

## f10

CvrStgFile * GraphTest::f10

private

## f11

CvrStgFile * GraphTest::f11

private

## f12

CvrStgFile * GraphTest::f12

private

## f13

CvrStgFile * GraphTest::f13

private

## f14

CvrStgFile * GraphTest::f14

private

## f15

CvrStgFile * GraphTest::f15

private

## f2

CvrStgFile * GraphTest::f2

private

## f3

CvrStgFile * GraphTest::f3

private

## f4

CvrStgFile * GraphTest::f4

private

## f5

CvrStgFile * GraphTest::f5

private

## f6

CvrStgFile * GraphTest::f6

private

## f7

CvrStgFile * GraphTest::f7

private

## f8

CvrStgFile * GraphTest::f8

private

## f9

CvrStgFile * GraphTest::f9

private

## f_f

CvrStgFile * GraphTest::f_f

private

## g1

Graph* GraphTest::g1

private

## g10

Graph * GraphTest::g10

private

## g11

Graph * GraphTest::g11

private

## g12

Graph * GraphTest::g12

private

## g13

Graph * GraphTest::g13

private

## g14

Graph * GraphTest::g14

private

## g15

Graph * GraphTest::g15

private

## g2

Graph * GraphTest::g2

private

## g3

Graph * GraphTest::g3

private

## g4

Graph * GraphTest::g4

private

## g5

Graph * GraphTest::g5

private

## g6

Graph * GraphTest::g6

private

## g7

Graph * GraphTest::g7

private

## g8

Graph * GraphTest::g8

private

## g9

Graph * GraphTest::g9

private

## g_f

Graph * GraphTest::g_f

private

## gl1

Globals GraphTest::gl1

private

## gl10

Globals GraphTest::gl10

private

## gl11

Globals GraphTest::gl11

private

## gl12

Globals GraphTest::gl12

private

## gl13

Globals GraphTest::gl13

private

## gl14

Globals GraphTest::gl14

private

## gl15

Globals GraphTest::gl15

private

## gl2

Globals GraphTest::gl2

private

## gl3

Globals GraphTest::gl3

private

## gl4

Globals GraphTest::gl4

private

## gl5

Globals GraphTest::gl5

private

## gl6

Globals GraphTest::gl6

private

## gl7

Globals GraphTest::gl7

private

## gl8

Globals GraphTest::gl8

private

## gl9

Globals GraphTest::gl9

private

## gl_f

Globals GraphTest::gl_f

private

## s1

Selector* GraphTest::s1

private

## s10

Selector * GraphTest::s10

private

## s11

Selector * GraphTest::s11

private

## s12

Selector * GraphTest::s12

private

## s13

Selector * GraphTest::s13

private

## s14

Selector * GraphTest::s14

private

## s15

Selector * GraphTest::s15

private

## s2

Selector * GraphTest::s2

private

## s3

Selector * GraphTest::s3

private

## s4

Selector * GraphTest::s4

private

## s5

Selector * GraphTest::s5

private

## s6

Selector * GraphTest::s6

private

## s7

Selector * GraphTest::s7

private

## s8

Selector * GraphTest::s8

private

## s9

Selector * GraphTest::s9

private

## s_f

Selector * GraphTest::s_f

private

The documentation for this class was generated from the following files:

- GraphTest.h
- GraphTest.cc